Package org.eclipse.net4j.util.event

# Class ExecutorServiceNotifier

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.event.ExecutorServiceNotifier

All Implemented Interfaces:
  `IExecutorServiceProvider`, `INotifier`, `INotifier.INotifier2`

Direct Known Subclasses:
  `ExecutorServiceNotifier.ThreadPool`

@Deprecated public class ExecutorServiceNotifier extends Notifier implements IExecutorServiceProvider
Deprecated.
Deprecated.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ExecutorServiceNotifier.ThreadPool`
Deprecated.

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Constructor Summary

Constructors
Constructor
Description
`ExecutorServiceNotifier()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`ExecutorService`
`getExecutorService()`
Deprecated.
`ExecutorService`
`getNotificationService()`
Deprecated.
`void`
`setNotificationExecutorService(ExecutorService notificationExecutorService)`
Deprecated.

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExecutorServiceNotifier

public ExecutorServiceNotifier()
Deprecated.

## Method Details

### getExecutorService

public ExecutorService getExecutorService()
Deprecated.

Specified by:
  `getExecutorService` in interface `IExecutorServiceProvider`
Since:
  3.6

### getNotificationService

public ExecutorService getNotificationService()
Deprecated.

Overrides:
  `getNotificationService` in class `Notifier`

### setNotificationExecutorService

public void setNotificationExecutorService(ExecutorService notificationExecutorService)
Deprecated.